Send signal to a service
POST
/system/dashboard/services/{unit}/{action}
const url = 'https://example.com/api/v1/system/dashboard/services/example/start';const options = {method: 'POST', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/system/dashboard/services/example/start \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”unit
required
string
Name of the unit to signal
action
required
string
Signal to send
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Responses
Section titled “Responses”Signal was sent
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}